@ECHO OFF
CLS
IF NOT EXIST SOUND16.DAT GOTO NODAT
@ECHO Now installing new engine and skid sound effects for NASCAR Racing 3.
@ECHO.
@ECHO Do you wish to continue?
@ECHO.
CHOICE /C:YN
IF ERRORLEVEL 2 GOTO NOINSTALL
IF ERRORLEVEL 1 GOTO INSTALL

:INSTALL
UNPACK SOUND16.DAT
REN SOUND16.DAT SOUND16.BAK
COPY E1C11.NEW E1C11.WAV /Y
COPY E1C11.NEW ENGHI.WAV /Y
COPY SKID.NEW SKID.WAV /Y
PACK SOUND16.PCK
DEL *.EXE
DEL *.NEW
DEL *.PCK
DEL *.WAV
@ECHO.
@ECHO New engine and skid sound effects have been installed.
@ECHO.
@ECHO GENTLEMEN, START YOUR ENGINES!
GOTO QUITINSTALL

:NOINSTALL
@ECHO.
@ECHO New engine and skid sound effects have *NOT* been installed.
GOTO QUITNOINSTALL

:NODAT
@ECHO.
@ECHO This installer must be run from your "NASCAR Racing 3\Sound16" directory!
GOTO QUITNOINSTALL

:QUITINSTALL
@ECHO.
PAUSE
DEL *.BAT

:QUITNOINSTALL
@ECHO.
PAUSE
